package net.northking.cctp.platform.dto.user;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class UserAuthorityResultDto {

    @ApiModelProperty("姓名")
    private String userChnName;

    @ApiModelProperty("登录名")
    private String loginNo;

    @ApiModelProperty("角色名称，如果用户有多个角色，使用/拼接")
    private String roleName;

    @ApiModelProperty("所属机构")
    private String orgName;

    @ApiModelProperty("手机号码")
    private String cellPhone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("角色id，如果用户有多个角色，使用/拼接")
    private String roleId;

    @ApiModelProperty("用户角色")
    private List<CltUserRoleDetailDto> roleList;

    public String getUserChnName() {
        return userChnName;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getCellPhone() {
        return cellPhone;
    }

    public void setCellPhone(String cellPhone) {
        this.cellPhone = cellPhone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public List<CltUserRoleDetailDto> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<CltUserRoleDetailDto> roleList) {
        this.roleList = roleList;
    }
}
